<?php //Ejemplo aprenderaprogramar.com

//echo '--'.$_GET['anio'].$_GET['mes'];



//ini_set('display_errors',1);

session_start();

require_once ("../../config/Cado.php");

require_once ("../venta/cVenta.php");

$oVenta = new cVenta();

require_once("../tipocambio/cTipocambio.php");

$oTipocambio = new ctipocambio();

require_once ("../formatos/formato.php");



$ruc = '20601350263';

$anio = $_GET['anio'];

$mes = $_GET['mes'];

$dia = '00';

$idenlibr = '140100';

$codopor_repre = '00';

$ide_ope = '1';

$ide_cont = '1';

$ide_mone = '1';

$ide_lib_gen = '1';







$nom_file = 'LE'.$ruc.$anio.$mes.$dia.$idenlibr.$codopor_repre.$ide_ope.$ide_cont.$ide_mone.$ide_lib_gen.'.txt';

$file = fopen($nom_file, "a");





	$fin = '99999';	

	$largo=strlen($fin);

	$i = 1;

	$dtc1d = $oVenta->mostrar_detalle_des($_GET['mes'],$_GET['anio'],'');

	while($dt = mysqli_fetch_array($dtc1d))

	{

		$num = $i;

		$num=str_pad($num,$largo, "0", STR_PAD_LEFT);	

		$num = 'V1118'.$num;



		$cod3 = 'M003';

		

		if($dt['tb_documento_abr']=='F'){

			$tipdoc = '1';

		}else if($dt['tb_documento_abr']=='B'){

			$tipdoc = '3';

		}

		

		if($dt['tb_cliente_tip']=='1'){

			$tipdoc_cli = '1';

		}else if($dt['tb_cliente_tip']=='2'){

			$tipdoc_cli = '6';

		}

		

		$numdoc = $dt['tb_venta_numdoc'];

		list($ser,$corr) = explode('-',$numdoc);

		

				$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_venta_fec']));  

				$r = mysqli_fetch_array($rs);	

				$tipcam1 = formato_money3($r['tb_tipocambio_dolsun']);

				$mon = 'PEN';

				

		if($dt['tb_moneda_id']== 2){

				$tipcam = $tipcam1;

		}

		else{

				$tipcam = '1.00';		

		}

		

		$tot = $dt['tb_venta_tot']*$tipcam;

		$valven = $tot/1.18;

		$igv = $valven*0.18;

		

		fwrite($file,$_GET['anio'].$_GET['mes'].'00'.'|'.$num.'|'.$cod3.'|'.mostrarFecha($dt['tb_venta_fec']).

		'|'.mostrarFecha($dt['tb_venta_fec']).'|'.$tipdoc.'|'.$ser.'|'.$corr.'||'.$tipdoc_cli.'|'.

		$dt['tb_cliente_doc'].'|'.$dt['tb_cliente_nom'].'|'.formato_money3($valven).'|'.formato_money3($igv).'|0.00|'.formato_money3($tot).

		'|'.$mon.'|'.$tipcam1.'|01/01/0001|00|-|-| |1|1|'."\r\n");

		

		$i++;

	}



fclose($file);



header('Content-Description: File Transfer');

header('Content-Type: application/octet-stream');

header('Content-Disposition: attachment; filename='.basename($nom_file));

header('Content-Transfer-Encoding: binary');

header('Expires: 0');

header('Cache-Control: must-revalidate');

header('Pragma: public');

header('Content-Length: ' . filesize($nom_file));

ob_clean();

flush();

readfile($nom_file);



 unlink($nom_file);

exit;

?>